Bug Hunting Session
Bug 100115 - Crash: when press copy on Data Source whitespace
Summary: Crash: when press copy on Data Source whitespace
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2016-05-29 06:07 UTC by sawakaze
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen Capture(Step3) (159.52 KB, application/vnd.oasis.opendocument.graphics)
2016-05-29 06:07 UTC, sawakaze
Details
bt with symbols (5.25 KB, text/plain)
2016-05-29 09:16 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2016-05-29 06:07:19 UTC
Created attachment 125365 [details]
Screen Capture(Step3)

Hi,

After following steps, libreoffice is crashed.
(1) Open Data Source from Application (i.e. Ctrl + Shift + F4)
(2) select database and open table.
(3) right-clicked to whitespace on table dialog and press copy.(see attachment)
--> application crash.

I confirmed following env.

OS: Linux Debian Jessie x64
Desktop: MATE
Version: 5.2.0.0.alpha1
Build ID: 902b28a39528b6c92602e9b521a1d0861be1caf9
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (C)

Also, following version is confirmed

Version: 4.4.5.2
Build ID: a22f674fd25a3b6f45bdebf25400ed2adff0ff99
Locale: C

Regards,
Sawakaze.
Comment 1 Shinji Enoki 2016-05-29 08:43:06 UTC
I reproduce in the following versions.

Debian jessie 64bit
Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (ja_JP.utf8)

Debian jessie 64bit
Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (ja_JP.utf8)


Steps to Reproduce
1. Start Writer
2. Select menu [View]-[Data Sources]
3. Select [Bibliography]-[Tables]-[biblio]
4. Scroll to right end
5. Right click whitespace -> Copy
crash LibreOffice
Comment 2 Julien Nabet 2016-05-29 09:11:27 UTC
On pc Debian x86-64 with master sources updated 2 days ago + 5.1.3.2 LO Debian package, I could reproduce this.
Comment 3 Julien Nabet 2016-05-29 09:16:37 UTC
Created attachment 125366 [details]
bt with symbols
Comment 4 Julien Nabet 2016-05-29 11:03:14 UTC
I submitted a patch for review here:
https://gerrit.libreoffice.org/#/c/25605/
Comment 5 Commit Notification 2016-05-29 16:00:06 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=634fd0016ef7396a782d28272852302841f37201

tdf#100115: _nColId is sal_uInt16

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2016-05-29 16:24:01 UTC
Gerrit review for 5.2: https://gerrit.libreoffice.org/#/c/25620/
for 5.1: https://gerrit.libreoffice.org/#/c/25622/
Comment 7 Commit Notification 2016-05-30 12:18:15 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b2d1b604e0c95a5c3afcf7b4dcc8ed7cc47cc39&h=libreoffice-5-2

tdf#100115: _nColId is sal_uInt16

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-05-30 12:18:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bfbbe60561af80a4796e32ee23fc7069eb8e4e2&h=libreoffice-5-1

tdf#100115: _nColId is sal_uInt16

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.